Bug 1875551 - [4.5] KubePodNotReady should not be raised for must-gather pod
Summary: [4.5] KubePodNotReady should not be raised for must-gather pod
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.5.z
Assignee: Jan Chaloupka
QA Contact: Mike Fiedler
URL:
Whiteboard: LifecycleReset
Depends On: 1805891
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 18:22 UTC by Jan Chaloupka
Modified: 2020-09-22 12:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1805891
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 554 None closed bug 1875551: must-gather: move gather init container under containers 2020-09-21 12:26:02 UTC

Comment 1 Jan Chaloupka 2020-09-10 14:22:30 UTC
Putting UpcomingSprint just in case 4.5 backport PR does not get merged EOW

Comment 4 Mike Fiedler 2020-09-14 21:47:10 UTC
I was able to reproduce the issue (or a variation ) on 4.5.0-0.nightly-2020-09-14-124053 which should have the fix.

In a 50 worker AWS cluster, 1 minute after running oc adm must-gather, the following alert fired:

AL
KubePodNotReady
Pod openshift-must-gather-gbggn/must-gather-sd5n7 has been in a non-ready state for longer than 15 minutes.

It had not been 15 minutes since I started the must-gather.  See pod info below at the time the alert fired.


# oc get pods --all-namespaces | grep must-gather
openshift-must-gather-gbggn                        must-gather-sd5n7                                                     0/1     Init:0/1    0          86s

Comment 6 Jan Chaloupka 2020-09-15 07:39:22 UTC
> openshift-must-gather-gbggn                        must-gather-sd5n7                                                     0/1     Init:0/1    0          86s

After applying the fix, must-gather pod has no longer the init container. Can you run `oc get -o yaml` over the must-gather pod?

Comment 7 Mike Fiedler 2020-09-15 18:00:07 UTC
Moving back ON_QA to try later build.

Comment 8 Mike Fiedler 2020-09-16 12:07:50 UTC
4.5.0-0.nightly-2020-09-14-124053 is the latest 4.5 nightly and it does not have the fix.   Not sure why automation moved it to ON_QA.   Moving it back to MODIFIED while awaiting a nightly with the PR


Note You need to log in before you can comment on or make changes to this bug.